Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.entity
Class EntityOtherPlayerMP

    java.lang.Object
      net.minecraft.entity.Entity
          net.minecraft.entity.EntityLiving
              net.minecraft.entity.player.EntityPlayer
                  net.minecraft.client.entity.EntityOtherPlayerMP

All Implemented Interfaces:
  ICommandSender

    public class EntityOtherPlayerMP

extends EntityPlayer

Field Summary

Fields inherited from class net.minecraft.entity.player.EntityPlayer
`cameraYaw, capabilities, experience, experienceLevel, experienceTotal, field_71079_bU, field_71082_cx, field_71085_bR, field_71089_bV, field_71091_bM, field_71094_bP, field_71095_bQ, field_71096_bN, field_71097_bO, field_71098_bD, fishEntity, inventory, inventoryContainer, openContainer, PERSISTED_NBT_TAG, playerCloakUrl, playerLocation, prevCameraYaw, username, xpCooldown`

Fields inherited from class net.minecraft.entity.EntityLiving
`arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, pickUpLootProability, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.entity.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityOtherPlayerMP(World par1World, String par2Str)`

Method Summary
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`boolean` | `canCommandSenderUseCommand(int par1, String par2Str)` Returns true if the command sender is allowed to use the given command.
`float` | `getEyeHeight()`
`ChunkCoordinates` | `getPlayerCoordinates()` Return the coordinates for this player as ChunkCoordinates.
`float` | `getShadowSize()`
`void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `sendChatToPlayer(String par1Str)`
`void` | `setCurrentItemOrArmor(int par1, ItemStack par2ItemStack)` Sets the held item, or an armor slot.
`void` | `setPositionAndRotation2(double par1, double par3, double par5, float par7, float par8, int par9)` Sets the position and rotation.
`void` | `updateCloak()`

Methods inherited from class net.minecraft.entity.player.EntityPlayer
`addChatMessage, addExhaustion, addExperience, addExperienceLevel, addMovementStat, addStat, addToPlayerScore, attackTargetEntityWithCurrentItem, canCurrentToolHarvestBlock, canEat, canHarvestBlock, canPlayerEdit, clearItemInUse, clonePlayer, closeScreen, destroyCurrentEquippedItem, displayGUIAnvil, displayGUIBeacon, displayGUIBook, displayGUIBrewingStand, displayGUIChest, displayGUIDispenser, displayGUIEditSign, displayGUIEnchantment, displayGUIFurnace, displayGUIMerchant, displayGUIWorkbench, dropOneItem, dropPlayerItem, dropPlayerItemWithRandomChoice, func_71066_bF, func_82243_bO, func_85030_a, func_85039_t, func_85040_s, getBedLocation, getBedOrientationInDegrees, getCommandSenderName, getCurrentArmor, getCurrentEquippedItem, getCurrentItemOrArmor, getCurrentPlayerStrVsBlock, getCurrentPlayerStrVsBlock, getEntityName, getFoodStats, getHeldItem, getHideCape, getInventoryEnderChest, getItemIcon, getItemInUse, getItemInUseCount, getItemInUseDuration, getLastActiveItems, getMaxHealth, getMaxInPortalTime, getPortalCooldown, getScore, getSleepTimer, getTotalArmorValue, getTranslator, getYOffset, handleHealthUpdate, interactWith, isBlocking, isEntityInsideOpaqueBlock, isPlayerFullyAsleep, isPlayerSleeping, isSpawnForced, isUsingItem, joinEntityItemWithWorld, moveEntityWithHeading, onCriticalHit, onDeath, onEnchantmentCritical, onKillEntity, openGui, preparePlayerToSpawn, readEntityFromNBT, respawnPlayer, sendGameTypeToPlayer, sendPlayerAbilities, setDead, setInWeb, setItemInUse, setSpawnChunk, shouldHeal, sleepInBedAt, stopUsingItem, translateString, triggerAchievement, updateRidden, verifyRespawnCoordinates, wakeUpPlayer, writeEntityToNBT, xpBarCap`

Methods inherited from class net.minecraft.entity.EntityLiving
`addPotionEffect, attackEntityAsMob, canAttackClass, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_82143_as, func_82159_b, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArmorItemForSlot, getArrowCountInEntity, getAttackTarget, getCanSpawnHere, getCreatureAttribute, getEntitySenses, getHealth, getHomePosition, getJumpHelper, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSpeedModifier, getSwingProgress, getTalkInterval, getTexture, getVerticalFaceSpeed, hasHome, heal, initCreature, isChild, isEntityAlive, isEntityUndead, isOnLadder, isPotionActive, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setAttackTarget, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, spawnExplosionParticle, swingItem`

Methods inherited from class net.minecraft.entity.Entity
`addEntityID, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85031_j, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getHasActivePotion, getMountedYOffset, getParts, getPersistentID, getPickedResult, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityEqual, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onStruckByLightning, readFromNBT, setAir, setAngles, setEating, setFire, setHasActivePotion, setInPortal, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityOtherPlayerMP

    public EntityOtherPlayerMP(World par1World,
                               String par2Str)

Method Detail

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `EntityPlayer`

### setPositionAndRotation2

    public void setPositionAndRotation2(double par1,
                                        double par3,
                                        double par5,
                                        float par7,
                                        float par8,
                                        int par9)

  Sets the position and rotation. Only difference from the other one is no bounding on the rotation. Args: posX, posY, posZ, yaw, pitch

  Overrides:
    `setPositionAndRotation2` in class `EntityLiving`

### updateCloak

    public void updateCloak()

  Overrides:
    `updateCloak` in class `Entity`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `EntityPlayer`

### getShadowSize

    public float getShadowSize()

  Overrides:
    `getShadowSize` in class `Entity`

### onLivingUpdate

    public void onLivingUpdate()

  Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.

  Overrides:
    `onLivingUpdate` in class `EntityPlayer`

### setCurrentItemOrArmor

    public void setCurrentItemOrArmor(int par1,
                                      ItemStack par2ItemStack)

  Sets the held item, or an armor slot. Slot 0 is held item. Slot 1-4 is armor. Params: Item, slot

  Overrides:
    `setCurrentItemOrArmor` in class `EntityPlayer`

### getEyeHeight

    public float getEyeHeight()

  Overrides:
    `getEyeHeight` in class `EntityPlayer`

### sendChatToPlayer

    public void sendChatToPlayer(String par1Str)

### canCommandSenderUseCommand

    public boolean canCommandSenderUseCommand(int par1,
                                              String par2Str)

  Returns true if the command sender is allowed to use the given command.

### getPlayerCoordinates

    public ChunkCoordinates getPlayerCoordinates()

  Return the coordinates for this player as ChunkCoordinates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD